strdup(3)

NAME
strdup - string duplicate

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>

char *strdup(const char *s);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

strdup():
    _XOPEN_SOURCE >= 500
        || /* Since glibc 2.12: */ _POSIX_C_SOURCE >= 200809L
        || /* glibc <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
The strdup() function returns a pointer to a new string which is a duplicate of the string s. Memory for the new string is obtained with malloc(3), and can be freed with free(3).

RETURN VALUE
On success, the strdup() function returns a pointer to the duplicated string. It returns NULL if insufficient memory was available, with errno set to indicate the error.

ERRORS
See malloc(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
SVr4, 4.3BSD-Reno, POSIX.1-2001.

SEE ALSO
malloc(3), string(3), strdupa(3), wcsdup(3)